import javax.swing.*;
import java.awt.*;

/**
 * Das Verbinden Panel dient als "Überblende", während im Backend das Spiel erstellt/ eine Verbindung hergestellt wird.
 * @author Lucas Bronson
 */
public class Verbinden extends JPanel{

        ImageIcon backButtonIcon = new ImageIcon("graphics/backButton.png");

        JLabel verbindenLabel = new JLabel("Verbinde . . .",SwingConstants.CENTER);

        Font robotoFont = new Font("Roboto", Font.BOLD, 45);

    /**
     * Konstruktor der Verbinden Klasse.
     * @param frame Der Mainframe der Anwendung über den alle Panels angezeigt werden.
     * @author Lucas Bronson
     */
    public Verbinden(MainFrame frame) {
            setLayout(null);
            buildPanel(frame);
        }

    /**
     * Baut Panel auf.
     * @param frame Der Mainframe der Anwendung über den alle Panels angezeigt werden.
     * @author Lucas Bronson
     */
    private void buildPanel(MainFrame frame) {
            setLayout(new BorderLayout());
            verbindenLabel.setFont(robotoFont.deriveFont(50f));
            add(verbindenLabel, BorderLayout.CENTER);
        }
    }

